#!ruby
#
# Simple installer for RDE
# 

require 'rbconfig'
require 'ftools'
include Config

TargetFile = %w(debug2.rb rde_extend.rb)
TargetFile2 = {'mswin32' => ['rde.dll'],
               'other' => ['rde.so']}

files = TargetFile

if CONFIG["host_os"] == 'mswin32'
  files += TargetFile2[CONFIG["host_os"]]
else
  files += TargetFile2['other']
end

dest = CONFIG["rubylibdir"]
files.each{|src|
  destfile = dest + "/#{src}"
  bakfile = dest + "/~#{src}"
  if File.exist?(destfile)
    File.rename(destfile, bakfile)
    puts "rename #{destfile} to #{bakfile}."
  end
   File.copy(src , dest, true)
} 
