#!/usr/local/bin/ruby -Ke
#
# RDE sample script
#
# Date: 2002/6/24
# This script reformats Teraterm log.
#
# goo̎@\gĎXNvg
#  url = "http://dictionary.goo.ne.jp/cgi-bin/dict_search.cgi?MT=#{keyword}&sw=#{type}"
#  type:
#       0:pa 1:ap 2: 3:V
#

require "cgi"
require "nkf"
require "net/http"

keyword = ARGV[0]
type = 0

domain = "dictionary.goo.ne.jp"
action = "/cgi-bin/dict_search.cgi"
param2 = "MT=#{keyword}&sw=#{type}"

STDOUT.sync = true
puts "searching '#{keyword}'..."
param2 = NKF.nkf('-eS', CGI.unescape(param2))
Net::HTTP.version_1_2
Net::HTTP.start(domain, 80 ) {|http|
  response, = http.post(action, param2)
  result = false
  response.body.each{|line|
    if result 
      break if line =~ /<!-- RESULT_BLOCK -->/
      s = line.gsub(/<[^>]*>/m, "")
      print NKF.nkf('-es', s).sub(/^\s+/, "").split(/.{80}/).join("\n") if s.strip !~ /^\s*$/
      #print NKF.nkf('-es', s).sub(/^\s+/, "") if s.strip !~ /^\s*$/
    else
      result = true if line =~ /<!-- RESULT_BLOCK -->/
    end
  }
}
