#
# Ruby Development Environmet
# Extend Command
# by sakazuki
#
#

require 'rde'

class DEBUGGER__
	class Context
		def rde_extend_command(input, binding)
			obj = debug_eval(input, binding)
			unless obj.kind_of? Module
				stdout.print "Should be Class/Module: ", input, "\n"
			else
				rde_export(obj, obj.module_eval{binding()})
			end
		end
		def rde_export(obj, binding)
			b = obj.singleton_methods
			lists = {};
			b.each{|k|
				lists[k] = 1
			}
			if obj.respond_to?("instance_methods") then
				b = obj.instance_methods
				b.each{|k|
					if lists.key?(k)
						lists[k] = (lists[k] | 2)
					else
						lists[k] = 2
					end
				}
			end
			if b.size > 0 then
				Dir.chdir("#{Rde.path}")
				#Dir.chdir("d:\\tools\\rdesrc\\main\\data")
				if obj.name =~ /::/ then
					subdir, fname = obj.name.split("::")
					begin
						Dir.mkdir(subdir) 
						fname = subdir + "\\" + fname
					rescue
						fname = subdir + "\\" + fname
					end
				else
					fname = obj.name
				end
				open(fname + ".dat", "w"){|f|
					lists.keys.sort.each{|k|
						f.printf "%s\t%s\t%s\n", k, k, lists[k].to_s
					}
				}
				puts "#{fname}.dat is created."
			else
				puts "#{obj.name} have no data"
			end
		end #rde_export
	end
end

if $0 == __FILE__ then
  print Rde.path
end
