#!/usr/local/bin/ruby
#
# FTP put file
#
# Programmed by sakazuki
#
# Start Date: 
# $Date: $
# $ID: $
#
# Note:
#

require 'net/ftp'
require "win32ole"

rde = WIN32OLE.new("RDE.Main")

host = 'hostname'
user = 'username'
passwd = rde.InputPasswordBox("Login", user)
rootdir = 'watcher'

ftp = Net::FTP.new(host, user, passwd)
begin
  ftp.chdir(rootdir)
  filename = rde.ActiveCodeWindow.FileName
  basename = filename.split(/\\/)[-1]
  puts "put files #{filename} => #{host}:#{ftp.getdir}/#{basename}"
  if ftp.mtime(basename) > File.mtime(filename)
    STDERR.puts "Remote file is more latest."
    exit(1) unless rde.ShowConfirm("Target file is maybe new. Overwrite?")
  end
  ftp.puttextfile(rde.ActiveCodeWindow.FileName, basename)
ensure
  ftp.quit
end
puts "send done"
exit 0
